From: <a href="/blend/av.cgi?id=48">laurel ahlfeld</a><BR>
Date: 13 January 2009<P>

Have you ever started writing and then gotten horribly interrupted in the middle and can't get your groove back? Ugh. I just answered a mother-father "just checking in" phone call that turned into a ruined poem. UGHHHHHHHH! Why did I pick up the phone? I had one line left. One line.
<HR>
From: <a href="/blend/av.cgi?id=29">~Harem~</a><BR>
Date: 13 January 2009<P>

Laurel Ahlfeld, about <a href="/blend/wv.cgi?id=2009.01.13.23.09.16090"><i>Untitled</i></a>:<BR>
<BR>
This was very good - Very Vivid<BR>
<BR>
WOW
<HR>
From: <a href="/blend/av.cgi?id=48">Laurel Ahlfeld</a><BR>
Date: 13 January 2009<P>

Harem: Thank you!! Though I prematurely hit submit... I was so excited to get it done after an interruption that I forgot to title it... whoopsy!
<HR>